/* @group Tags */

html, body {
	height: 100%;
	position: relative;
}

body,p,ul,ol,div {
	color:#333;
	font-family:"Lucida Grande","Lucida Sans Unicode","Lucida Sans",Lucida,Verdana,sans-serif;
	font-size:12px;
	line-height:145%;
}

body {
	background:#EEE;
	min-width:980px;
	padding:0;
	margin:0;
	padding:0;
}

a {
	color: #225588;
	text-decoration:none;
	position: relative;
	z-index: 4;
}

a:hover {text-decoration:underline;}

h1 {font-size:17pt;}
h1 .editsection {font-size:53%;}

#bodyContent h1 {
	border-bottom: #AAA 1px solid;
	margin-bottom: 15px;
	padding-top: 10px;
}


h2 {font-size:13pt; overflow: hidden;}
h2 .editsection {font-size:67%;}

h3,h4,h5,h6 {
	font-size:12pt;
	border-bottom:none;
	font-weight:700;
}

h3 {font-size:132%;}

h3 .editsection {
	font-size:76%;
	font-weight:400;
}

h4 {font-size:116%;}

h4 .editsection {
	font-size:86%;
	font-weight:400;
}

h5 {font-size:100%;}
h5 .editsection {font-weight:400;}
h6 {font-size:80%;}

h6 .editsection {
	font-size:125%;
	font-weight:400;
}

.editsection {
	float:right;
	margin-left:5px;
	opacity: 0.2;
}

.editsection:hover { opacity: 1.0; }

pre {
	background-color: #222;
	color: #EEE;
	padding: 10px;
	overflow: auto;
	
	/*
	commenting after Campbell asked to remove word-wrap in python 
	if we want to keep this for other languages, I'll edit these later
	white-space: pre-wrap;        -> css-3
	white-space: -moz-pre-wrap;   -> Mozilla, since 1999
	white-space: -pre-wrap;       -> Opera 4-6
	white-space: -o-pre-wrap;     -> Opera 7
	word-wrap: break-word;        -> Internet Explorer 5.5+
	*/
 
}

span {
	display: inline;
}

a {text-decoration:none;}
a:hover {text-decoration:underline;}
a.new {color: #BB0011 !important;}
img {border:none;}
.visualClear {clear:both;}

p {
	margin:.4em 0 .5em;
	line-height:1.5em;
	text-align: justify;
}

p img {margin:0;}

h1,h2,h3,h4,h5,h6 {
	margin:0;
	padding-top:.5em;
	padding-bottom:.17em;
	overflow: hidden;
}

fieldset {
	margin:1em 0;
	padding:0 1em 1em;
}


hr {
    border-top: 1px solid #bbb;
    border-bottom: 1px solid #eee;
    border-left: 0px;
    border-right: 0px;
}

/* @end */

/* @group Main structure */

.php-error {
	z-index: 3;
	background: #000;
	position: relative;
	color: #DDD;
	padding: 0 10px 10px 10px;
}

.php-error a {
	color: #317bc6;
}

.php-error span {
	position: absolute;
	bottom: 10px;
	right: 10px;
	background: #6e2929;
	color: #FFF;
	cursor: pointer;
	padding: 1px 5px;
	font-size: 10px;
	border-radius: 2px;
}


#headerWrapper {
	background-color: #76899c;
	background: -webkit-gradient(
	    linear,
	    left bottom,
	    left top,
	    from(#76899c), 
	    to(#9aa4ae)
	);
	background: -moz-linear-gradient(
	    top, 
	    /*#bdbdbd,
	    #a0a0a0*/
	    #9aa4ae,
	    #76899c
	);
		
	position: fixed;
	top: 0px;
	z-index: 10;
	width: 100%;
}

#globalWrapper {
	margin:0 auto;
	position:relative;
	text-align:left;
	padding: 0;
	height: 100%;
	background-color: #E3E3E3;
	min-height: 500px;
	width: 100%;
	background: transparent;
}

#column-content {
	width:640px;
	padding:0;
}

#col-content {
	padding-left: 310px;
	padding-top: 66px;
	padding-bottom: 33px;
	padding-right: 295px;
	border: none;
	background: transparent;
}

#content {
	margin-left:0;
	padding:0;
	line-height:1.5em;
	width: 100%;
	min-width: 640px;
}

#content a {font-weight:bold;}
#siteSub {display:none;}

#file {
	width:640px;
	overflow:auto;
}

#filetoc {display:none;}
#jump-to-nav {display:none;}

#navcontainer {
	height:50px;
	margin-left:auto;
	margin-right:auto;
	position:relative;
	/*width:980px;*/
	width: 1024px;
}

#pagecontainer {
	margin:0px auto 0px;
	position:relative;
	text-align:left;
	height: 100%;
	width: 100%;
	min-width: 1000px;
	background: transparent;
}


#toolbar {display:none;}

#contentSub {
	padding-bottom:4px;
	font-size: 11px;
	display: block;
	float: left;
	color: #EEE;
}

#contentSub a {
	padding: 0;
}



#footer {
	margin:0 auto;
	padding:5px 0 5px 13px;
	position: fixed;
	bottom: 0;
	height: 18px;
	background-color: #76899c;	
	background: -webkit-gradient(
	    linear,
	    left bottom,
	    left top,
	    from(#76899c), 
	    to(#95a0ac)
	);
	background: -moz-linear-gradient(
	    top, 
	    /*#bdbdbd,
	    #AEAEAE*/
	    #95a0ac,
	   	#76899c
	);	
	border-top: 1px solid #999;
	text-align: center;
	width: 100%;
	z-index: 5;
}

/* @end */

/* @group Navigation */

.boxheader {
	text-align: center;
}

#logo {
	/*position: absolute;
	left: 20px;*/
	position: relative;
	float: left;
	margin-top: 2px;
}

.boxheader h1 {
	margin: 0;
	padding: 0;
	float: none;
	font-weight: bold;
	font-size: 13px;
	text-shadow: 0 -1px 0px rgba(0,0,0,.5);
	color: #FFF;
}

.boxheader a {
	color: #EEE;
	font-size: 11px;
	}

.boxheader span {
	float: right;
	margin-right: 20px;
	font-size: 11px;
	color: #333;
}

.subnav {
	/*height:auto!important;*/
	padding-bottom:6px;
	padding-left:13px;
	padding-right: 13px;
	padding-top:6px;
	position:relative;
	height: 18px;	
	border-bottom: 1px solid #687787;
}

.subnav a {font-weight:normal;}

.subnav ul {
	display:inline;
	margin:0;
	padding:0;
}

.subnav li {
	display:inline;
	list-style-type:none;
	margin:0;
	padding:0 7px 0 0;
}

.subnav .search {
	display:none;
	float:right;
	width:70px;
}

.subnav li.subnav-active a {
	color: #333;
	}

.sublevel2 {
	font-size: 11px;
	border-top: 1px solid #9ca7b3;
	}
.sublevel2 li {font-size:11px;}
.sublevel2 a {
	color: #FFF;
	text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.4);
	padding: 2px 5px;
	}

.sublevel2 a:hover {
	text-decoration: none;
}

.sublevel2 a.userid {
	position: absolute;
	bottom: 7px;
	right: 227px;
}

li.selected a {color: #FFF;}

#left_controls {
	position: absolute;
	left: 20px;
	top: 0px;	
}


ul.external_nav {
	margin-left: 15px;
	margin-top: 6px;
	float: left;
	display: none;
}

ul.external_nav.active {
	display: inline;
}

span.right_controls {
	float: right;
	position: absolute;
	top: 6px;
	right: 0px;
}

.sublevel2 ul {
	float: right;
}

#content_actions {
	position: absolute;
	top: 6px;
	right: 75px;
	color: #EEE;
}


#content_actions li {
	padding: 3px;
	margin-right: 3px;
}

#content_actions li:hover {
	background: #667686;
	border-radius: 2px;
	padding: 2px 3px 3px 3px;
	box-shadow: 0 -1px 0 rgba(0, 0, 0, 0.4);
}

#content_actions li.selected {
	background: #6c7d8e;
	border-radius: 2px;
	padding: 2px 3px 3px 3px;
	box-shadow: 0 -1px 0 rgba(0, 0, 0, 0.4);
}

#content_actions li.selected a {
}

#dd_selectors {
	/*position: absolute;
	left: 500px;*/
	width: 215px;
	margin: 0 auto;
	text-align: center;
}

.dd_item {
	position: relative;
	display: inline;
}


.dd_item .dd_menu {
	display: none;
	text-align: left;
}

.dd_item.active .dd_menu {
	display: block;
	position: absolute;
	top: 24px;
	left: 0;
	border-top: none;
	padding: 6px 5px 5px 5px;
	z-index: -1;
	border-radius: 2px;
	border-top-left-radius: 0;
	border-top-right-radius: 0;
	box-shadow: 0px 1px 3px rgba(0, 0, 0, 0.3);
	background: #6c7d8e;
	background: -moz-linear-gradient(
	    top,
	    #6c7d8e,
	    #76899C
	);
	
	background: -webkit-gradient(
	    linear,
	    left bottom,
	    left top,
	    from(#76899C), 
	    to(#6c7d8e)
	);
}

.dd_menu a {
	color: #EEE;
	text-shadow: none;
}

.dd_menu.languages {
	width: 380px;
	margin-left: -145px;
}

.dd_menu.series {
	width: 80px;
	/*margin-left: -7px;*/
}

.dd_menu li a{
	padding: 0;
}


.dd_menu li a:hover {
	text-decoration: underline;
}

.dd_item .dd_menu.extras_one {
	width: 120px;
	margin-left: -65px;
	z-index: 1;
	text-align: right;
	top: 24px;
}

.dd_item .dd_menu.extras_one ul {
	float: right;
}

.dd_item .dd_menu.extras_two {
	width: 110px;
	margin-left: -61px;
	text-align: right;
	top: 25px;
}

.dd_item .dd_menu.extras_two ul {
	margin-left: 10px;
	margin-bottom: 10px;
	float: right;
}


.dd_menu.languages ul {
	float: left;
	margin-right: 20px;
	margin-bottom: 10px;
	margin-left: 10px;
}

.dd_menu ul {
	float: left;
}

.dd_menu ul li{
	display: block;
	color: #EEE;
	text-shadow: none;
}

#extras_one {
	margin-left: 8px;
	position: relative;
	z-index: 5;
}

#extras_one .button {
	z-index: 2;
	position: relative;
}

#extras_two {
	position: absolute;
	right: 20px;
	top:  6px;
}

/* @end */

/* @group Buttons */

.button {
	display: inline-block;
	outline: none;
	cursor: pointer;
	text-align: center;
	text-decoration: none;
	padding: 0px 5px;
	-webkit-border-radius: 2px;
	-moz-border-radius: 2px;
	border-radius: 2px;
	height: 16px;
}

.active .button {
	-webkit-border-bottom-left-radius: 0;
	-webkit-border-bottom-right-radius: 0;
	border-bottom-left-radius: 0;
	border-bottom-right-radius: 0;
}

.grey {
	color: #666;
	border: 1px solid #868e97;
	background: #9d9d9d;
	/*background: -webkit-gradient(linear, left top, left bottom, from(#bdbdbd), to(#9d9d9d));
	background: -moz-linear-gradient(top, #bdbdbd, #9d9d9d);
	filter:  progid:DXImageTransform.Microsoft.gradient(startColorstr='#bdbdbd', endColorstr='#9d9d9d');*/
}

.active .grey {
	background: #b7b7b7;
	border-bottom: none;
	padding-bottom: 8px;
}

.button p {
	margin: 0;
	padding: 0;
	font-size: 11px;
}

.button:hover p, .active .button p {
	color: #333;
} 

.dd_item .button {
	padding-right: 16px;
	background: transparent url('images/dd_arrow_d_w.png') no-repeat right 5px;
	border: solid 1px transparent;	
}

.dd_item .button p {
	color: #FFF;
	text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.4);
}

.dd_item .button:hover, 
.dd_item .button.active,
.dd_item.active .button {
	background: #6c7d8e url('images/dd_arrow_d_w.png') no-repeat right 5px;
	box-shadow: 0 -1px 0 rgba(0, 0, 0, 0.4);
}




.arrows {
	position: relative;
	display: inline;
	margin-left: 5px;
}

.arrows a {
	color: transparent;
	text-shadow: none;
}

.button.arrow_left, 
.button.arrow_right,
.button.arrow_left:hover,
.button.arrow_right:hover {
	padding-right: 2px;
	padding-left: 2px;
}

.button.arrow_left{
	background: url('images/nav_arrow_l.png') no-repeat center center;
}

.button.arrow_left:hover {
	background: #6c7d8e url('images/nav_arrow_l.png') no-repeat center center;
}

.active .button.arrow_left,
.active .button.arrow_left:hover {
	background: transparent url(images/nav_arrow_l.png) no-repeat center center;
	box-shadow: none;
}

.button.arrow_right{
	background: url(images/nav_arrow_r.png) no-repeat center center;
}

.button.arrow_right:hover {
	background: #6c7d8e url(images/nav_arrow_r.png) no-repeat center center;
}

.active .button.arrow_right,
.active .button.arrow_right:hover {
	background: transparent url(images/nav_arrow_r.png) no-repeat center center;
	box-shadow: none;
}



/* @end */


img.grip {
	border:0;
	padding-right:1em;
}
div.center {text-align:center;}

/* @group Sidebar */

#column-one {
	width:278px;
	margin: 0;
	padding: 0;
	height:100%;
	position: fixed;
	top: 63px;
	/*background: #eaeaea url('images/column_left_v_margin.png') right repeat-y;*/
	background: #eaeaea url('images/bg_col_one.jpg') no-repeat;
	border-right: 1px solid #CCC;
	z-index: 4;
}

#column-two {
	position: fixed;
	top: 63px;
	width: 260px;
	/*background: #eaeaea url('images/column_right_v_margin.png') repeat-y;*/
	background: #eaeaea url('images/bg_col_two.jpg') no-repeat;
	border-left: 1px solid #CCC;
	overflow: auto;
	right: 0;
}

#toctitle {
	display: none;
}

#searchform {
	margin:0;
	padding:0;
	position: relative;
	/*bottom: 4px;*/
}

/* --- Floating content --- */

#col-one-wrapper {
	position:absolute;
	top:0;
/* just used to show how to include the margin in the effect */
	margin-top:0;
	width:276px;
}

#col-one-wrapper.fixed { /* This class is added with js while scrolling*/
	position:fixed;
	top:10px;
}

#col-one-wrapper.fixed.bottom { /* Addtional class to prevent overflow on footer*/
	position:absolute;
	bottom:50px;
	top:auto;
}

#col-one-wrapper p {
	display: none;
}

/* @group TOC */

div.tocindent {margin-left:2em;}

#toc {
	text-align:left;
	margin:0;
	background-color: transparent !important;
	/*position: fixed;
	right: 0;
	top: 0;*/
}


#toc ul#toc-ul {margin:10px 0 0 20px;}

#preftoc {
	display:block;
	margin-top:0;
	margin-left:0;
	padding-left:0;
	font-size:8pt;
}

#preftoc li {
	display:inline;
	padding-right:1em;
}

#toc .tocnumber {
	display: none;
}

div.maintoc table {
	width:100%;
	background-color:#CCC;
	border:1px #AAA solid;
	margin-top:1em;
	padding-left:1em;
	padding-right:1em;
	padding-bottom:1em;
	}
div.maintoc td {width:50%;}

div.maintoc dt {
	font-size:102%;
	font-weight:bold;
}

/* --- TOC indentation --- */

#toc-ul ul,.toc ul {
	list-style-type:none;
	list-style-image:none;
	margin-left:1em;
	padding-left:0;
	text-align:left;
	font-size: 11px;
}

#toc-ul ul ul,.toc ul ul {
	margin:0 0 0 2em;
	}

/* @end */

.col-right-header .logout {right:0;}

.col-right-section {
	margin:0;
	padding:0;
	clear:both;
}

.col-right-header .username,.col-right-header .wikicontents,.col-right-header .logout {
	margin:5px 18px 10px;
	position:absolute;
}

#p-search h5 {display:none;}


input.searchButton {
	margin-top:1px;
	padding:0 .4em;
	cursor:pointer;
}



#p-idcard {font-weight: bold;}


textarea {width:100%;}

p.vspacer {
	margin:0;
	padding:0;
	height:18px;
	border-color:#363636;
	border-style:solid;
	border-width:0 1px 0 0;
}

#p-idcard {margin-left:35px;}

div.navi-toggle {
	cursor:pointer;
	float:left;
	width:16px;
	margin-left:16px;
	background:url(images/closed.png) no-repeat 0 8px;
}

.navi-toggle.active {background:url(images/open.png) no-repeat 0 9px;}


/* @group NavTree */


/*#scrollbar2 p {
	display: none;
}*/


.dtree {
	font-family: Verdana, Geneva, Arial, Helvetica, sans-serif;
    font-size: 11px;
    color: #666;
    white-space: nowrap;
	padding-left: 10px;
	padding-top: 0px;
	padding-bottom: 5px;
}

.dtree b {
	color: #333;
}

.dTreeNode {
	font-size: 11px;
}
.dtree img {
	border: 0px;
	vertical-align: middle;
}
.dtree a {
	color: #333;
	text-decoration: none;
	outline: none;
}
.dtree a.node, .dtree a.nodeSel {
	white-space: nowrap;
	padding: 1px 2px 1px 2px;
}
.dtree a.node:hover, .dtree a.nodeSel:hover {
	color: #444;
	text-decoration: none;
}
.dtree a.nodeSel {
	background-color: #c0d2ec;
}
.dtree .clip {
	overflow: hidden;
}

.dTreeNode {
	display: none;
}

.clip .dTreeNode {
	display: block;
}

#navtree_selector {
	padding: 10px 0 5px 20px;
	position: absolute;
	background: #EAEAEA;
	width: 240px;
	z-index: 5;
}

#navtree_selector .dd_button {
	background: #E3E3E3 url('images/dd_arrow_d.png') right 6px no-repeat;
	border: 1px solid #D1D1D1;
	width: 220px;
	border-radius: 2px;
	padding: 0px 5px;
	margin: 0;
	cursor: pointer;
	
}

#navtree_selector .dd_button:hover {
	background: #EBEBEB url('images/dd_arrow_d.png') right 6px no-repeat;
	border: 1px solid #CCC;
}

#navtree_selector.active .dd_button {
	border-bottom: none;
	border-bottom-left-radius: 0px;
	border-bottom-right-radius: 0px;
	background: #EBEBEB url('images/dd_arrow_d.png') right 6px no-repeat;
	box-shadow: 0 1px 1px rgba(0,0,0,0.4);
}

#navtree_selector p {
	display: block;
	padding: 0;
	margin: 1px 0;
}

#navtree_selector ul li.area-end {
	margin-bottom: 10px;
}

#navtree_selector ul li.area-start {
	border-top: 1px solid #CCC;
	background-color: #DDD;
}

#navtree_selector ul li.area-start:hover {
	background-color: #DDD;
}

#navtree_selector ul li span {
	font-size: 11px;
	font-weight: bold;
	margin-right: 10px;
	color: #333;
}

#navtree_selector .dd_content {
	display: none;
}

#navtree_selector.active .dd_content {
	display: block;
	background: #EBEBEB;
	border: 1px solid #CCC;
	border-top: none;
	margin-top: -1px;
	border-bottom-left-radius: 2px;
	border-bottom-right-radius: 2px;
	z-index: 1;
	position: relative;
	box-shadow: 0 1px 2px rgba(0,0,0,0.3);
	width: 230px;
}

#navtree_selector ul {
	list-style-type: none;
	margin: 0;
	padding: 0;
	font-size: 12px;
}

#navtree_selector ul li {
	padding-left: 5px;
}

#navtree_selector ul li:hover {
	background-color: #f4f4f4;
}

#navtree_selector ul li a {
	text-decoration: none;
	color: #333;
	font-size: 11px ;
	display: block;
	width: 220px;
	text-decoration: none;
}


/* @end */

/* @end */

/* @group Footer */

#p-search-div {
	width:185px;
	border: 1px solid #888;
	border-radius: 3px;
	background: #EEE /*url(images/magnifier.png) no-repeat 167px 3px*/;
	position: absolute;
	left: 0;
	top: 0px;
}

#searchInput {
	width:150px;
	clear:both;
	margin:0;	
	border: 0;
	background: transparent;
	padding: 1px 5px 1px 5px;
	float: left;
	color: #999;
	height: 14px;
}

#searchGoButton {
	display: inline;
	border: none;
	margin-top: 1px;
	padding: 0px;
	cursor: pointer;
	background: transparent;
}

#footer .dd_menu ul {
	font-size: 11px;
	padding: 0;
	margin-left: 10px;
	margin-right: 20px;
}

#footer .dd_menu li {
	display: block;
	cursor: pointer;
}

#footer .dd_menu li:hover {
	text-decoration: underline;
}

#footer .dd_menu li.l_item.active {
	font-weight: bold;
	cursor: auto;
}

#footer .dd_menu li.l_item.active:hover {
	text-decoration: none;
}

#footer .dd_menu li span {
	display: none;
}

#footer .dd_item .button {
	background: transparent url('images/dd_arrow_u_w.png') right 4px no-repeat;
	padding-right: 15px;
}

#footer .dd_item .button:hover {
	background: #6c7d8e url('images/dd_arrow_u_w.png') right 4px no-repeat;
	color: #CCC;
	border-radius: 2px;
}

#footer .dd_item.active .button {
	background: #6c7d8e url('images/dd_arrow_u_w.png') right 13px no-repeat;
	color: #EBEBEB;
	padding-bottom: 0;
	padding-top: 9px;
	border: none;
	border-radius: 2px;
	border-top-right-radius: 0px;
	border-top-left-radius: 0px;
	position: relative;
	z-index: 1;
	box-shadow: none;
	border: solid 1px transparent;
}


#search_ser {
	position: absolute;
	left: 205px;
	bottom: 5px;
}

#search_lan {
	position: absolute;
	left: 250px;
	bottom: 5px;
}

#wiki_dd {
	position: absolute;
	bottom: 5px;
	right: 65px;
}

#search_ser .button {
	border-radius: 0;
	width: 19px;
}

#search_lan .button {
	border-bottom-left-radius: 0;
	border-top-left-radius: 0;
	width: 18px;
	text-transform: uppercase;
}

#footer .dd_item.active .dd_menu {
	z-index: 0;
	padding-top: 10px;
	top: auto;
	bottom: 24px;
	border-radius: 2px;
	border-top: solid 1px #888;
	border-bottom: none;
	border-bottom-left-radius: 0;
	border-bottom-right-radius: 0;
	box-shadow: 0px -1px 3px rgba(0,0,0,.3);
	background: #6c7d8e;
	background: -moz-linear-gradient(
	    top,
	    #76899C,
	    #6c7d8e
	);
	background: -webkit-gradient(
	    linear,
	    left bottom,
	    left top,
	    from(#6c7d8e), 
	    to(#76899C)
	);
}

#footer .dd_item.active .dd_menu.languages {
	margin-bottom: 0;
	width: 375px;
}

#footer .dd_item.active .dd_menu.series {
	margin-bottom: 0;
	width: 145px;
	margin-left: -10px;
}

#footer .dd_item.active .dd_menu.wiki {
	margin-bottom: 0;
	width: 145px;
	margin-left: -68px;
	text-align: right;
}

#footer .dd_item.active .dd_menu.wiki ul {
	clear: both;
	float: right;
	margin-top: 0;
	margin-bottom: 0;
	margin-right: 10px;
	padding-top: 0;
	padding-bottom: 10px;
}

#footer .links {
	padding-left:0;
	margin: 0;
	font-size:11px;
	color: #FFF;
}

#footer li {
	display:inline;
	margin:0 ;
}


#footer a.poweredbyico {
	position: absolute;
	right: 30px;
	top: 5px;
}

#bottom {margin:0 auto 35px;}

#f-poweredbyico {float:right;}
div.printfooter {display:none;}


/* @end */


/* @group Content */

#col-content  a {
      color:#258;
      font-weight: normal;
}

#content pre a {
	color: #69C;
}

span.mw-headline {
	padding-top: 75px;
}

table.prettytable, 
table.prettytable td,
table.prettytable th {	
	border: 1px solid #AAA;
}

table.prettytable {
	margin: 1em 1em 1em 0;
	border-collapse: collapse;
	margin-left: auto;
	margin-right: auto;
}

table.prettytable td {
	padding: 4px;
}



/* @end */


/* @group Classes */

.usermessage { 
    color:black;    
    padding: 0 5px 0 5px;
	margin: 5px;
	border: 1px solid #e66d39;
	background-color: #ff873a;
	border-radius: 2px;
	text-align: left;
	width: 230px;
    
} 

.usermessage a {
   color:  white;
}


.error {
	color:red;
	font-size:larger;
}

a.stub {color:#E39410;}

.portlet {border:0 solid #000;}

.debug {border:1px solid red;}

.clearBoth, .clear {clear:both; color: transparent;}

.errorbox {
	border: 1px solid #971313;
	background-color: #fa8b75;
	padding: 10px;
	border-radius: 3px;
}

#userloginForm {
	width: 350px;
	margin-left: auto;
	margin-right: auto;
	background: #DDD;
	padding: 10px;
	border: 1px solid #AAA;
	border-radius: 2px;
	margin-top: 20px;
	box-shadow: 0px 1px 3px rgba(0,0,0,0.3);
}

#userloginForm table {
	padding: 10px;
	border-radius: 3px;
}


.literal {
	color: #555;
	white-space:nowrap;
	font-style: italic;
}

/* @end */

table.rimage {
	float:right;
	position:relative;
	margin-left:1em;
	margin-bottom:1em;
	text-align:center;
}

/* @group TownBox */

div.townBox {
	position:relative;
	float:right;
	margin-left:1em;
	padding:.3em;
	width:200px;
	overflow:hidden;
	clear:right;
}

div.townBox dl {
	padding:0;
	margin:0 0 .3em;
}

div.townBox dl dt {
	background:none;
	margin:.4em 0 0;
}

div.townBox dl dd {	margin:.1em 0 0 1.1em;}

/* @end */

/* @group Port */

.port .c12 {
	padding:10px 0 10px 20px;
	width:220px;
}

.port .c1 {
	float:left;
	padding:10px 0 10px 20px;
	width:110px;
}

.port .c2 {
	float:right;
	padding:10px 20px 10px 0;
	width:120px;
}

.port {
	border:0 solid red;
	overflow:hidden;
}

.port ul {
	padding:0;
	margin:0;
}

.port li {
	font-size:8pt;
	line-height:175%;
	list-style:none;
	padding:0;
	margin:0;
}

.port h2 {
	background-color:#3E4D5E;
	padding:5px 0 10px 18px;
	margin:0;
	font-size:12px;
}

.port h4 {
	font-weight:400;
	white-space:nowrap;
}

.port h5 {
	padding:0 1em 0 .5em;
	display:inline;
	height:34px;
	font-size:10pt;
	white-space:nowrap;
	background-color:#3E4D5E;
	width:100%;
}

.port h6 {
	padding:0 1em;
	display:block;
	height:1.2em;
	font-weight:400;
	white-space:nowrap;
}

/* @end */

/* @group Link icons */

#bodyContent a[href ^=http://],#bodyContent a[href ^=gopher://] {
	background:url(images/external.png) center right no-repeat;
	padding-right:13px;
}

#bodyContent a[href ^=https://],.link-https {
	background:url(images/lock_icon.gif) center right no-repeat;
	padding-right:16px;
}

#bodyContent a[href ^=mailto:],.link-mailto {
	background:url(images/mail_icon.gif) center right no-repeat;
	padding-right:18px;
}

#bodyContent a[href ^=news://] {
	background:url(images/news_icon.png) center right no-repeat;
	padding-right:18px;
}

#bodyContent a[href ^=ftp://],.link-ftp {
	background:url(images/file_icon.gif) center right no-repeat;
	padding-right:18px;
}

#bodyContent a[href ^=irc://],.link-irc {
	background:url(images/discussionitem_icon.gif) center right no-repeat;
	padding-right:18px;
}

/* @end */

/* @group Diff highlighting */
 



/* @group old */

#pagehistory li.selected {
	background-color:#EEE;
	border:1px dashed #aaa;
}

span.urlexpansion {display:none;}

/* @end */

/* @group override */

#mw-revision-nav,
#mw-revision-info  {
	text-align: center;
	background: #CCCCCC;
	display: none;
}

.mw-history-legend {
	margin-bottom: 15pxlo togl;
}

table.diff, td.diff-otitle, td.diff-ntitle {
	background-color: #DDD;
	color:#000;
	font-size: 11px ;
}

table.diff a, table.diff del, table.diff ins  {
	font-size: 11px;
}


td.diff-otitle,td.diff-ntitle {text-align: center;}
td.diff-marker {
	text-align: right;
	font-size:18px;
	font-weight:bold;
	padding:3px;
	text-align:center;
	color: #000;
	}
.rtl td.diff-marker {text-align: left;}
table.diff td.diff-lineno {
	padding-left:18px;
	font-weight: bold;
	color: #000;}
 
/*td.diff-addedline {background: #cfc;font-size: smaller;}
td.diff-deletedline {background: #ffa;font-size: smaller;}*/
 
table.diff {border: none;width: 98%;border-spacing: 4px;    
    /* Fixed layout is required to ensure that cells containing long URLs
       don't widen in Safari, Internet Explorer, or iCab */
    table-layout: fixed;}
table.diff td {    padding: 0;}
table.diff col.diff-marker {width: 2%;}
table.diff col.diff-content {width: 48%;}
table.diff td div {
    word-wrap: break-word;
    overflow: auto;
}
 

td.diff-context div, td.diff-addedline div, td.diff-deletedline div{font-size:12px;padding:5px}
td.diff-context {background: #AAA; color:#000;}
td.diff-addedline {background-color: #CAFFC1;color: #000;}
td.diff-deletedline {background-color: #F9FFBB;color: #000;}
 
.diffchange {
	font-weight:bold;
	text-decoration:none;
}
del.diffchange{text-decoration:line-through; color: #EE2222;}
ins.diffchange{color: #EE2222;}
 
.autocomment { color: grey; }
#pagehistory {
	padding-left: 0;
	list-style: none;
}

#pagehistory li {
	font-size: 11px;
	margin-bottom: 2px;
}


#pagehistory span.user {margin-left: 1.4em;margin-right: 0.4em;}
#pagehistory span.minor {font-weight: bold;}

/* @end */


/* @group Float */

div.floatright,table.floatright {
	clear:right;
	float:right;
	margin:0;
	position:relative;
	border-width:.5em 0 .8em 1.4em;
}

div.floatright p {font-style:italic;}

div.floatleft,table.floatleft {
	float:left;
	margin:.3em .5em .5em 0;
	position:relative;
	border-width:.5em 1.4em .8em 0;
}

div.floatleft p {font-style:italic;}

/* @end */
div.lang li {display:inline;}

/* @group Thumbnails */

div.thumb {
	margin-bottom:1.5em;
	margin-top: 10px;
	width:auto;
	background: transparent;
}

div.thumbinner {
	/*background-color: #BBB;*/
}

.center * {
	margin: auto;
}

div.thumb div {
	padding:3px;
	text-align:center;
	overflow:hidden;
}

div.thumb div div.thumbcaption {
	border:none;
	text-align:left;
	line-height:1.4;
	padding:3px 7px;
	background: #CCC;
	font-size: 11px;
	color: #333;
	margin-top: 5px;
}

div.magnify {
	float:right;
	border:none!important;
	background:none!important;
}

div.magnify a,div.magnify img {
	display:block;
	border:none!important;
	background:none!important;
}

div.tright {
	clear:right;
	float:right;
	border-width:.5em 0 .8em 1.4em;
	margin-left: 10px;
	margin-top: 10px;
}

div.tleft {
	float:left;
	margin-right:.5em;
	border-width:.5em 1.4em .8em 0;
	margin-right: 10px;
}

/* @end */

p.catlinks {
	text-align:center;
	width:80%;
	margin-left:auto;
	margin-right:auto;
	padding:3px;
}

#mytabs {background-color:inherit;}
#ca-addsection a:before {content:"Add section";}
#n-portal,#n-currentevents,#n-help,#n-sitesupport {	display:none;}

span.searchmatch {
	font-weight:700;
	list-style-type:none;
}

#prefcontrol {
	clear:both;
	float:left;
	margin-top:1em;
}

div.prefsectiontip {
	font-size:95%;
	margin-top:1em;
}

#mw_trackbacks {
	border-style:groove;
	padding:.2em;
}

.tableNormal {
	background-color:#CCC;
	border:1px #AAA solid;
	margin-top:1em;
	padding-left:1em;
	padding-right:1em;
	padding-bottom:1em;
}

.columnHalf {
	width:50%;
	float:left;
}

.columnThird {
	width:33.3%;
	float:left;
}

div.bsod {
	border:1px solid #AAA;
	padding:1px;
	background:#333;
	text-align:center;
	margin-bottom:10px;
}

.mw-statistics-table {
	width: 100%;
	border-spacing: 0;
	margin-bottom: 20px;
}

.mw-statistics-table th{
	padding: 25px 0 7px 0;
	font-size: 18px;
	font-weight: normal;
}

.mw-statistics-table td{
	border-bottom: 1px solid #AAA;
}

.mw-statistics-table tr:hover td {
	background-color: #E7E7E7;
}

.mw-statistics-table tr:hover th {
	background-color: transparent;
}

/* @group Language templates */

#bodyContent h1,#bodyContent p {
/*clear:both;*/
}


/* @end */

/* @group Hotkeys */

span.hotkey {
	color: #000;
	border: 1px solid #666;
	border-top-color: #cecbc7;
	border-left-color: #cecbc7; 
	background: #f0ece8; 
	padding: 0.1em 0.4em; 
	font-size: 0.8em; 
	white-space: nowrap;
}
 
.NiceTip {
	margin:5px auto;
	padding:5px 20px 5px 10px;
	border:1px solid #AAA;
	background: #DDD; 
	color: #333;
	border-radius: 2px;
	box-shadow: 0 1px 2px rgba(0,0,0,0.5);
}
 
span.hotkeybg {
	color: #333;
	background-color: #d3d3d3;
	padding-bottom: 2px;
}
 
span.hotkeybg img {
	bottom: -2px;
	position: relative;
}
div.refbox {
	background-color: #CCC;
	padding: 5px 10px;
	border: 1px solid #BBB;
}

/* @end */

/* @group Sphinx search */

#spx_form {
	position: relative;
	margin-top: 5px;
	margin-left: 20px;
}

#spx_tabs {
	margin: 7px 0 0 0;
	padding: 0;
	float: left;
	list-style: none;		
}

#spx_tabs li {
	float: left;
	margin: 0 -1px 0 0;
	padding: 0;
	border: 1px solid #999;
	background: #e0e0e0;
	overflow: hidden;
	position: relative;
}
#spx_tabs li a {
	text-decoration: none;
	color: #000;
	display: block;
	padding: 0 20px;
	outline: none;
	font-size: 12px;
}
#spx_tabs li a:hover {
	background: #CCC;
}	
#spx_tabs li.active  {
	background: #EEE;
	border: 1px solid #333;
	z-index: 1;
}

#spx_tabs_container {
	border-top: none;
	clear: both;
	float: left; 
	width: 100%;
	margin-top: 2px;
}

.spx_tab_content ul {
	list-style: none;
	padding-left: 0px;
}

#spx_match_extended {
	margin: 10px 0 10px 0;
	font-size: 11px;
}

#spx_namespace_search,
#spx_series_search {
	width:45%; 
	border:1px #eee solid; 
	padding:4px; 
	margin-right:1px; 
	float:left;
	font-size: 11px;
}

#spx_language_search {
	font-size: 11px;
	margin-top: 15px;
}



/* @end */


.mw-enahnced-rc table {
	width: 100%;
}

td.mw-enhanced-rc {
	width: 100px;
}

#toctitle h2 span {
	cursor: pointer;
	color: #AAA;
}

#toctitle h2 span.active, #toctitle h2 span:hover {
	color: #FFF;
}



/* @group Scrollbar 2 */

#scrollbar2 { 
	width: 277px; 
	clear: both; 
	margin: 0 0 0 0; 
	padding-top: 32px;
	overflow: auto; 
	
	}
	
#scrollbar2 .viewport {
	padding-top: 5px;
}

#scrollbar2.shaded {
	background: transparent url('images/navtree_top_shadow.png') repeat-x;
}

/*
#scrollbar2 .viewport { width: 260px; height: 100%; overflow: hidden; position: relative; }
#scrollbar2 .overview { list-style: none; position: absolute; left: 0; top: 0; }
#scrollbar2 .thumb .end,
#scrollbar2 .thumb { background-color: #cfcfcf; border-radius: 5px; }
#scrollbar2 .thumb:hover .end,
#scrollbar2 .thumb:hover {
	background-color: #c2c2c2;
}
#scrollbar2 .scrollbar { position: relative; float: right; width: 13px; }
#scrollbar2 .track { background-color: #e0e0e0; height: 100%; width:13px; position: relative; padding: 0 1px; }
#scrollbar2 .thumb { 
	height: 20px; 
	width: 10px; 
	cursor: pointer; 
	overflow: hidden; 
	position: absolute; 
	top: 0;
	margin-left: 1px;
}
#scrollbar2 .thumb .end { overflow: hidden; height: 5px; width: 10px; }
#scrollbar2 .disable{ display: none; }
*/
/* @end */


/* @group SCROLLBAR */

div#scrollbar_right {
    /*border: 1px solid black;*/
}
div.mousescroll {
    overflow: hidden;
}
div.mousescroll:hover {
    overflow-y: scroll;
}

.slimScrollDiv { /*border: 1px solid #ccc; */}

/* @end */


/* @group NEW STYLE OVERRIDE */
  
#bodyContent .mw-geshi, #bodyContent .mw-geshi pre {
    background-color: #222;
    color: #eee;
    font-size: 12px;
    font-weight: normal;
    padding: 0;
}

#bodyContent .mw-geshi pre.de1 {
	padding: 10px;
}
  
.artop {
    display: none;
}
 
  
.floatright { margin-left: 10px !important; }
.floatleft { margin-right: 10px !important; }

/* @end */


/* @group Templates */

.note {
	width:60%; 
	margin-top:5px; 
	margin-bottom:5px; 
	margin-left:auto; 
	margin-right:auto; 
	border:1px solid #AAA
}

.note_title {
	text-align:center; 
	font-weight:bold; 
	border:1px solid #aaa; 
	padding:2px; 
	margin:1px; 
	background:#BBB;
}

.note_content {
	padding:2px; 
	margin:2px;
}

/* @end */

/* @group Width-sensitive layout */

#col-content.no_right_sidebar {
	padding-right: 30px;
}

#col-content.no_left_sidebar {
	padding-left: 30px;
}

body.no_sidebars,
body.no_sidebars #pagecontainer{
	min-width: 640px;
}

body.no_sidebars #content_actions {
	position: relative;
	right: auto;
	top: auto;
	color: #EEE;
}

body.no_sidebars #content_actions li {
	padding: 0 7px 0 0;
	margin-right: 0;
}

body.no_sidebars #content_actions li:hover,
body.no_sidebars #content_actions li.selected {
	background: none;
	border-radius: 0;
	padding: 0 7px 0 0;
	box-shadow: none;
}



/* @end */

/* @group Custom layout */

#cst_features {
	width: 90%;
	min-width: 645px;
	max-width: 800px;
	margin-left: auto;
	margin-right: auto;
}

#cst_features h2 {
	font-size: 20px;
	margin-bottom: 7px;
	border-bottom: 1px solid #666;
}

#cst_features h3 {
	font-size: 24px;
	line-height: 28px;
	font-weight: normal;
	padding-top: 0;
}

#cst_features ul {
	list-style-position: inside;
}

#cst_features object {
	position: relative;
	z-index: 5;
}

#cst_features .floatright,
#cst_features .floatleft {
	width: 45%;
	min-width: 310px;
	text-align: center;
}

#cst_features .floatright img,
#cst_features .floatleft img {
	border: 5px solid #FAFAFA;
	box-shadow: 0px 1px 4px #888888;
}


.left, .right {
	clear: both;
	margin: 30px 0;
}

.left .feature_desc {
	float: left;
	min-width: 315px;
	width: 50%;
}

/* @end */

/* @group Grid layout for MainPage */

body.page-Main_Page {
	background: url('images/bg_main.jpg') #EEE;
}

#bodyContent {
	position: relative;
}

#bodyContent h1.grid_title {
	font-size: 40px;
	border-bottom: none;
	text-align: center;
	margin-top: 20px;
	color: #445566;
}

.grid_menu_2 {
	width: 1040px;
	position: relative;
	margin: 0 auto;
	color: #FFF;
}

.grid_menu_3 {
	width: 1038px;
	position: relative;
	margin: 0 auto;
	color: #FFF;
}
	
.grid_line {
	margin-bottom: 40px;
	
}	

.grid_item {
	color: #222;
	float: left;
	height: 200px;
}

.grid_menu_2 .grid_item {
	width: 498px;
	margin-right: 20px;
	background-color: #CECECE;
	border-radius: 6px;
	border: 1px solid #BBBBBB;
	box-shadow: 0 1px 2px rgba(0, 0, 0, 0.3);
}

.grid_menu_3 .grid_item {
	width: 324px;
	margin-right: 20px;
	background-color: #CECECE;
	border-radius: 3px;
	border: 1px solid #BBBBBB;
	box-shadow: 0 1px 2px rgba(0, 0, 0, 0.3);
	height: 80px;
}


.grid_item h2 {
	float: left;
	font-weight: normal;
	margin-left: 50px;
	vertical-align: middle;
	padding: 0px;
	line-height: 200px;
	font-size: 40px;
	color: #225588;
	text-shadow: 0 -1px 0px rgba(100,100,100,.5);
	
}


.grid_item h2 .mw-headline {
	padding-top: 0;
}

.grid_item h3 {
	line-height: 80px;
	vertical-align: middle;
	font-size: 20px;
	margin-left: 35px;
	padding: 0;
	color: #225588;
	font-weight: normal;
}

.grid_item h3 .mw-headline {
	padding-top: 0px;
}

.grid_item h3.bf {
	background: url('images/logo_bf.png') right no-repeat;
}

.grid_item h3.bi {
	background: url('images/logo_bi.png') right no-repeat;
}

.grid_item ul {
    color: #777;
    float: right;
    width: 40%;
    margin-top: 25px;
    background: url('images/grid_right_v_margin.png') left repeat-y;
}

.grid_item li {
	margin: 15px 0;
	list-style-position: inside;
	list-style: none;
	font-size: 13px;
}


/* @end */

/* @group Manual Main Menu */

.maintoc {
	background: #CCC;
	border: 1px solid #AAA;
	border-radius: 2px;
	margin-bottom: 5px;
}

.maintoc.collapsed {
	height: 50px;
}

.maintoc h2 {
	padding-left: 15px;
	padding-right: 15px;
	padding-bottom: 8px;
	font-weight: normal;
	cursor: pointer;
	color: #445566;
}

.maintoc h2:hover {
	text-decoration: none;
	background: #D5D5D5;
}

div.maintoc table {
	background: none;
	border: none;
	display: block;
	margin-top: 0;
	border-top: 1px solid #C2C2C2;
	width: auto;
}

div.maintoc table tbody {
	display: table;
	width: 100%;
}

div.maintoc table dl {
	margin-top: 5px;
}

div.maintoc table dd {
	margin-left: 20px;
}

/* @end */


div.toc_title {
	font-size: 30px;
	border-bottom: none;
	text-align: center;
	margin: 0 auto;
	margin-top: 10px;
	margin-bottom: 10px;
	color: #445566;
	font-weight: bold;
}

.sidebar_panel {
	margin-left: 20px;
	font-size: 11px;
	padding: 0 0 2px 0;
	margin: 5px;
	margin-top: 5px;
	border: 1px solid #AAA;
	background-color: #CFCFCF;
	border-radius: 2px;
	text-align: left;
	display: none;
	width: 240px;
	box-shadow: 0px 1px 3px rgba(0,0,0,.3);
}

.sidebar_panel p, .sidebar_panel div {
	font-size: 11px;
}

.sidebar_panel div {
	font-size: 11px;
	padding-left: 5px;
	margin-bottom: 5px;
}

.sidebar_panel div div:hover {
	background-color: #D9D9D9;
}

.sidebar_panel span {
	display: block;
	padding-left: 5px;
}

.sidebar_panel span.panel_title {
	background: #DDD;
	font-weight: bold;
	margin-bottom: 5px;
	display: block;
}

.sidebar_panel span.panel_title a {
	font-weight: normal;
}

.sidebar_panel span.panel_text {
	padding-top: 2px;
}

.sidebar_panel span.panel_text dl {
	margin: 0;
}

.shade {
	box-shadow: 0px 1px 3px rgba(0,0,0,.3);
}


#sidebar_banner {
	display: block;
}


#mw-fr-revisiontag {
	display: none;
}

#mw-fr-revisionratings-box {
	margin-top: 5px;
	background-color: #DDD;
}

#mw-fr-revisionratings-box .fr-text {
	background-color: #DDD;
}

#site_notice {
	border: 1px solid #e1c2ae;
	background-color: #fbe5ae;
}

#site_notice h1 {
	font-size: 11px;
	padding: 0 0 0 5px;
	background: #ffeec5;
}

#site_notice h1 span.mw-headline {
	padding: 0;
}

#site_notice h1 .editsection {
	font-size: 11px;
}

#site_notice p {
	font-size: 11px;
	margin: 0;
	padding: 0 0 0 5px;
}

/* @group Flagged revs */

#mw-fr-revisiontag {
	padding-left: 5px;
}

td.fr-text {
	width: 125px;
	padding-left: 5px;
}

td.fr-value20 {
	width: 70px;
}

#mw-fr-ratingselects {
	padding: 0;
}

.sidebar_panel .fr-rating-options {
	padding: 0;
}

#fr-rating-controls .fr-rating-options span {
	display: inline;
	width: 78px;
	padding: 0 0 0 0;
	float: left;
}

#fr-rating-controls {
	padding-left: 0px;
}

#fr-rating-controls:hover {
	background-color: transparent;
}

#fr-rating-controls span {
	padding: 0;
	width: 265px;
}

#mw-data-after-content fieldset {
	border: none;
	padding: 0;
	margin-top: 5px;
	margin-bottom: 5px;
}

#mw-data-after-content legend {
	display: none;
}

#mw-data-after-content .fr-rating-options select {
	display: block;
	width: 75px;
}

#mw-fr-commentbox {
	margin-top: 5px;
	padding: 0;
}

#mw-fr-commentbox label {
	display: none;
}

#wpReason {
	width: 210px;
}

#mw-fr-submitreview {
	display: none;
}

#mw-fr-revisiontoggle {
	display: none;
}

/* @end */
